Subject: Re: linux-next: Tree for Jan 19 (mm/memcontrol.c)

From: Glauber Costa <[email-masked]>
Date: Fri, 20 Jan 2012 15:09:17 +0400

On 01/20/2012 04:00 AM, KAMEZAWA Hiroyuki wrote:
> On Thu, 19 Jan 2012 14:35:03 -0800
> Randy Dunlap<[email-masked]>  wrote:
>
>> On 01/18/2012 05:59 PM, Stephen Rothwell wrote:
>>> Hi all,
>>>
>>> Changes since 20120118:
>>
>>
>> on i386:
>>
>> mm/built-in.o:(__jump_table+0x8): undefined reference to `memcg_socket_limit_enabled'
>> mm/built-in.o:(__jump_table+0x14): undefined reference to `memcg_socket_limit_enabled'
>>
>>
>> Full randconfig file is attached.
>>
>
> Thank you. Forwarding this to Costa.
>
> Thanks,
> -Kame
>
Oh dear lord... So what happened here, is that I moved this code out of 
CONFIG_INET to fix another problem, and forgot that it needed to be 
wrapped under CONFIG_NET instead.

It is not an excuse, but I did compiled it over at least 6 random 
configs, and thought it was okay. I guess so many things select 
CONFIG_NET that it ends up being hard to generate a config without it.

I think the fix for this needs to go through dave's tree, since it is 
where the original fix went through.

I will send a fix shortly.